
if "%SET_ENV%"=="1" goto dir-check

rem Java
for /F "usebackq" %%i in (`dir /B /ON "%ProgramFiles%\java\jdk*"`) do @set JAVA_HOME=%ProgramFiles%\java\%%i


rem Maven
set MAVEN_OPTS=-Xmx512m -XX:MaxPermSize=256m
if not defined MAVEN_HOME (
	if exist C:\dev (
		for /F "usebackq" %%i in (`dir /B /ON "C:\dev\apache-maven*"`) do @set MAVEN_HOME=C:\dev\%%i
	) else (
		for /F "usebackq" %%i in (`dir /B /ON "D:\dev\apache-maven*"`) do @set MAVEN_HOME=D:\dev\%%i
	)
)
set PATH=%PATH%;%MAVEN_HOME%\bin

rem DBMS
set DBMS=@dbms@
set DB_HOME=@db.home@
set PATH=%PATH%;%DB_HOME%\bin
set DB_HOST=@db.host@
set DB_PORT=@db.port@
set ROOT_USER=@db.user.root@
set ROOT_USER_PASS=@db.pass.root@
set APP_USER=@db.user.app@
set APP_USER_PASS=@db.pass.app@
set DB=@db.name@

rem Application Server
set AS=@as@
set AS_HOME=@as.home@
set AS_PORT=@as.port@
set PATH=%PATH%;%AS_HOME%\bin
set JDBC_JAR=@as.jdbcjar@
set AS_JDBC_LIB=@as.jdbclib@
set REALM=@as.realm@
set DATA_SRC_TYPE=@as.datsrctype@
set JDBC_RES=@as.jdbcres@
set CON_POOL=@as.conpool@
set CXT_ROOT=@as.ctxroot@

rem Glassfish
set DOMAIN=domain1
set NODE=localhost-domain1
if "%SIT_AP_SERVER%"=="" (
	set SIT_AP_SERVER=server
	set MULTI_SERVER=0
) else (
	set MULTI_SERVER=1
)

if defined PROFILE (
	if exist "%~dp001_setenv-%PROFILE%.cmd" (
		call "%~dp001_setenv-%PROFILE%.cmd"
	)
)

set SET_ENV=1

:dir-check

if not exist "script\*" (
	mkdir script
)

if not exist "log\*" (
	mkdir log
)
